module AMarmita

  class ClientModule

    extend Forwardable

    attr_reader :client

    def initialize(client)
      @client = client
    end

    def_delegators :client, :get_page_body, :get_page, :logged?, :login

    
    protected ################ PROTECTED #################

    def cant_log_in?
      !logged? && !login
    end

  end

end
