require "a_marmita/orders/scrapper"

module AMarmita
  module Orders

    class Base < ClientModule

      def list
        return :bad_login if cant_log_in?

        page = get_page "http://www.amarmita.com/enc.php?op=7"
        
        return [] if page.body == '-1'

        content_rows = page.parser.css('table')[1].css('tr')
        
        content_rows.map { |row| Orders::Scrapper.new(row).scrap }.compact
      end

      def cancel(id, line)
        return :bad_login if cant_log_in?
        
        server_response = get_page_body("http://www.amarmita.com/enc.php?op=9&e=#{id}&l=#{line}")

        server_response == "1" ? :ok : :error
      end

      # def valid?
      #   return :bad_login if cant_log_in?
        
      #   server_response = get_page_body("http://www.amarmita.com/enc.php?op=10")

      #   server_response == "1" # order must have one main curse for everyday of the week
      # end
      
    end

  end
end
